Loading...
Searching...
No Matches
XrdSysFAttrSun.icc File Reference
`#include <dirent.h>`
`#include <cerrno>`
`#include <fcntl.h>`
`#include <cstring>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include "XrdSys/XrdSysFAttr.hh"`
Include dependency graph for XrdSysFAttrSun.icc:

Go to the source code of this file.

## Macros

#define | dirfd(x)
#define | ENOATTR ENODATA

## Functions

| close (fd)
| if (Avsz)
| if (ec< 0) ec

## Variables

| ec = (fstat(fd, &Stat) ? -errno : Stat.st_size)
| else {struct stat Stat

## Macro Definition Documentation

## dirfd

#define dirfd | ( |  | x | ) |

Value:
x->dd_fd

Definition at line 116 of file XrdSysFAttrSun.icc.

Referenced by XrdOssDir::XrdOssDir(), XrdDigDirectory::open(), and XrdOssDir::Opendir().

## ENOATTR

#define ENOATTR ENODATA

Definition at line 46 of file XrdSysFAttrSun.icc.

## Function Documentation

## close()

close | ( | fd |  | ) |

## if() [1/2]

if | ( | Avsz |  | ) |

Definition at line 98 of file XrdSysFAttrSun.icc.

{if ((ec = read(fd, Aval, Avsz)) < 0) ec = -errno;}
read
#define read(a, b, c)
Definition XrdPosix.hh:82
ec
ec
Definition XrdSysFAttrSun.icc:100

References ec, and read.

Referenced by TPC::TPCHandler::TPCHandler(), XrdCephOssReadVFile::XrdCephOssReadVFile(), XrdHttpExtReq::XrdHttpExtReq(), XrdRmcReal::XrdRmcReal(), XrdXrootdFile::XrdXrootdFile(), XrdZip::ZIP64_EOCDL::ZIP64_EOCDL(), and XrdOssCsiDir::Opendir().

Here is the caller graph for this function:

## if() [2/2]

if | ( |  | ) |

References ec, and Path.

## Variable Documentation

## ec

return ec = (fstat(fd, &Stat) ? -errno : Stat.st_size)

Definition at line 100 of file XrdSysFAttrSun.icc.

Referenced by PostError::PostError(), XrdSecProtocolkrb5::Authenticate(), XrdPfcFSctl::FSctl(), XrdOucECMsg::Get(), XrdNetPMark::Handle::getEA(), if(), if(), XrdNetAddrInfo::Resolve(), XrdPfc::ReadRequest::update_error_cond(), and XrdRmcReal::XrdRmcData.

## else

else {struct stat Stat

Definition at line 99 of file XrdSysFAttrSun.icc.